VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IHostAudioDevice Interface Reference

Represents an audio device provided by the host OS. More...

Inheritance diagram for IHostAudioDevice:

## Public Member Functions
void | getProperty (in wstring key, [retval] out wstring value)
| Returns an audio specific property string.

## Public Attributes
readonly attribute wstringUUID | id
| Unique device ID.
attribute wstring | name
| Friendly name of the device.
attribute AudioDeviceType | type
| Device type.
attribute AudioDirection | usage
| Usage type of the device.
attribute boolean | defaultIn
| Whether this device is being marked as the default input device by the host OS.
attribute boolean | defaultOut
| Whether this device is being marked as the default output device by the host OS.
attribute boolean | isHotPlug
| Whether this device is being marked as a hotplug device, i.e.
attribute AudioDeviceState | state
| Current device state.

## Detailed Description

Represents an audio device provided by the host OS.

Interface ID:
  `{CFDE1265-3140-4048-A81F-A1E280DFBD75}`

## Member Function Documentation

## ◆ getProperty()

void IHostAudioDevice::getProperty | ( | in wstring | key,
|  | [retval] out wstring | value
| ) |  |

Returns an audio specific property string.

If the requested data key does not exist, this function will succeed and return an empty string in the value argument.

Parameters

  key | Name of the key to get.
  value | Value of the requested key.

## Member Data Documentation

## ◆ id

readonly attribute wstringUUID IHostAudioDevice::id

Unique device ID.

## ◆ name

attribute wstring IHostAudioDevice::name

Friendly name of the device.

## ◆ type

attribute AudioDeviceType IHostAudioDevice::type

Device type.

## ◆ usage

attribute AudioDirection IHostAudioDevice::usage

Usage type of the device.

## ◆ defaultIn

attribute boolean IHostAudioDevice::defaultIn

Whether this device is being marked as the default input device by the host OS.

## ◆ defaultOut

attribute boolean IHostAudioDevice::defaultOut

Whether this device is being marked as the default output device by the host OS.

## ◆ isHotPlug

attribute boolean IHostAudioDevice::isHotPlug

Whether this device is being marked as a hotplug device, i.e.

can be removed from the system.

## ◆ state

attribute AudioDeviceState IHostAudioDevice::state

Current device state.